Fri. Feb 26th, 2021

Included template files & logo.psd

Minimum CMS version required: 1.1.5

Patch to work with cms version 1.1.8

Leave a Reply

Your email address will not be published. Required fields are marked *